#include <stdio.h>
#include <stdlib.h>

int main(int ac, char **av)
{
	int month;
	int days;
	if (ac == 2) {
		month = atoi(av[1]);
		days = 30 + (month + month / 8) % 2;
		printf("Nombre de jour : %d", days);
	}
}
